<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: pageTitle, panelTitle, diagramSrc, pdsBean -->
    <!-- inserts: beforeFirstColumn, actionOnPatientColumn, ddsButtons, selectedPatientDivInsert -->

    <h1>#{pdsBean.sendingActor.name}</h1>

    <h:form id="globalForm">
        <div class="btn-toolbar" role="toolbar" aria-label="pdsToolBar">
            <div class="btn-group" role="group" aria-label="buttons">

                <a4j:commandLink action="#{iti30Manager.getPage('A28', pdsBean.sendingActor.keyword)}"
                                 execute="@this"
                                 styleClass="#{iti30Manager.getStyleClass('A28')}">
                    <s:span styleClass="fa fa-plus gzl-text-blue"/>
                    <h:outputText
                            value="#{messages['gazelle.simulator.pam.CreateNewPatient']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{iti30Manager.getPage('A31', pdsBean.sendingActor.keyword)}"
                                 execute="@this" styleClass="#{iti30Manager.getStyleClass('A31')}">
                    <s:span styleClass="gzl-icon-pencil"/>
                    <h:outputText
                            value="#{messages['gazelle.simulator.pam.UpdatePatientInformation']}"/>
                </a4j:commandLink>
                <s:span rendered="#{iti30Manager.isBp6Authorized()}">
                    <a4j:commandLink action="#{iti30Manager.getPage('A47_INS', pdsBean.sendingActor.keyword)}"
                                     execute="@this" styleClass="#{iti30Manager.getStyleClass('A47_INS')}">
                        <s:span styleClass="gzl-icon-pencil"/>
                        <h:outputText value="#{messages['gazelle.simulator.pam.ihe_fr.RemoveINS']}"/>
                    </a4j:commandLink>
                </s:span>
                <a4j:commandLink action="#{iti30Manager.getPage('A40', pdsBean.sendingActor.keyword)}"
                                 execute="@this" styleClass="#{iti30Manager.getStyleClass('A40')}">
                    <s:span styleClass="gzl-icon-compress"/>
                    <h:outputText
                            value="#{messages['gazelle.simulator.pam.MergePatients']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{iti30Manager.getPage('A24', pdsBean.sendingActor.keyword)}"
                                 execute="@this" styleClass="#{iti30Manager.getStyleClass('A24')}">
                    <s:span styleClass="gzl-icon-link"/>
                    <h:outputText value="#{messages['gazelle.simulator.pam.LinkunlinkPatients']}"/>
                </a4j:commandLink>
                <a4j:commandLink action="#{iti30Manager.getPage('A47', pdsBean.sendingActor.keyword)}"
                                 execute="@this" styleClass="#{iti30Manager.getStyleClass('A47')}">
                    <s:span styleClass="gzl-icon-pencil"/>
                    <h:outputText value="#{messages['gazelle.simulator.pam.ChangePatientIdentifierList']}"/>
                </a4j:commandLink>
            </div>
        </div>
        <br/>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">#{pageTitle}</ui:define>
            <ui:include src="/fr/bp6Option.xhtml">
                <ui:param name="isDisplayed"
                          value="#{not pdsBean.isProfileDedicated() and pdsBean.receivingActor.keyword.equals('PDC') and iti30Manager.isBp6Authorized()}"/>
                <ui:param name="idsToRender" value="globalForm"/>
            </ui:include>
            <s:decorate template="/configuration/initiatorFrame.xhtml">
                <ui:param name="actorKeyword"
                          value="#{pdsBean.receivingActor.keyword}"/>
                <ui:param name="diagramImg" value="#{diagramSrc}"/>
                <ui:param name="currentConfig" value="#{pdsBean.selectedSUT}"/>
                <ui:param name="simuFacility" value="#{pdsBean.sendingFacility}"/>
                <ui:param name="simuApplication"
                          value="#{pdsBean.sendingApplication}"/>
                <ui:param name="sectionsToReRender" value="globalForm"/>
                <ui:param name="simulatorConfigurationName"
                          value="#{messages['gazelle.simulator.pam.PamPdsSimulator']}"/>
                <ui:param name="availableSuts" value="#{pdsBean.availableSystems}"/>
                <ui:define name="moreDetails">
                    <ui:include src="/cat/assigningAuthoritiesForSystem.xhtml">
                        <ui:param name="selectedSUT" value="#{pdsBean.selectedSUT}"/>
                    </ui:include>
                </ui:define>
            </s:decorate>
            <s:decorate template="/patient/messageConfigTemplate.xhtml"
                        rendered="#{pdsBean.hl7Messages == null}">
                <ui:param name="managedBean" value="#{pdsBean}"/>
                <ui:param name="allowPatientGeneration" value="true"/>
                <ui:param name="renderedForSendMessageButton"
                          value="#{! pdsBean.isSynchronizedWithSUT()}"/>
                <ui:param name="disabledForSendMessageButton"
                          value="#{pdsBean.selectedSUT == null or ! pdsBean.isCanSendMessage()}"/>
                <ui:define name="helpText">
                    <ui:insert name="helpText"/>
                </ui:define>
                <ui:define name="actionOnPatientColumn">
                    <ui:insert name="actionOnPatientColumn"/>
                </ui:define>
                <ui:define name="ddsButtons">
                    <ui:insert name="ddsButtons"/>
                </ui:define>
                <ui:define name="selectedPatient">
                    <ui:insert name="selectedPatientDivInsert"/>
                </ui:define>
            </s:decorate>
            <s:decorate template="/layout/panels/_panel_title_footer_id.xhtml"
                        rendered="#{pdsBean.hl7Messages != null}">
                <ui:param name="panel_id" value="reportPanel"/>
                <ui:define name="panel_title">#{messages['gazelle.simulator.pam.TestReport']}</ui:define>
                <ui:include src="/messages/message_table.xhtml">
                    <ui:param name="hl7Messages" value="#{pdsBean.hl7Messages}"/>
                </ui:include>
                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['gazelle.simulator.pam.PerformAnotherTest']}"
                                       styleClass="gzl-btn-blue"
                                       render="globalForm"
                                       actionListener="#{pdsBean.performAnotherTest()}"/>
                </ui:define>
            </s:decorate>
        </ui:decorate>
    </h:form>
</ui:composition>
